Debian Bug report logs - #292165
bibtex export from tellico is errenous on special characters (Umlauts)

version graph

Package: tellico; Maintainer for tellico is Regis Boudin <regis@debian.org>; Source for tellico is src:tellico.

Reported by: jowi@ph.tum.de

Date: Tue, 25 Jan 2005 14:33:09 UTC

Severity: normal

Tags: confirmed, fixed-upstream

Found in version 0.13.1-1

Done: "Regis Boudin" <regis@boudin.name>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Regis Boudin <regis@boudin.name>:
Bug#292165; Package tellico. Full text and rfc822 format available.

Acknowledgement sent to jowi@ph.tum.de:
New Bug report received and forwarded. Copy sent to Regis Boudin <regis@boudin.name>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Johannes Wiedersich <johannes_wiedersich@physik.tu-muenchen.de>
To: submit@bugs.debian.org
Subject: bibtex export from tellico is errenous on special characters (Umlauts)
Date: Tue, 25 Jan 2005 15:20:02 +0100
Package: tellico
Version: 0.13.1-1

I opened tellico, created a new bibliography, entered one entry, type 
book containing the title: "Umlautetest: Äb Öb Üb bä bö bü".
Exporting this bibliography to bibtex (File --> Export --> Export to 
bibtex) and saved it as test.bib.

$test.bib===========================================================
@comment{Generated by Tellico 0.13.1}
@book{test:bib,
  title = {Umlautetest: {\"A}b Öb \"{U}b B{\"a} B{\"o} B\"{u}},
  author = {Wieders{\"o}ch, J.}
}
====================================================================

Here Ä, ä and ö are handled correctly to {\"A} etc.,

Ö (capitals) is NOT changed to  Bibtex/Latex conventions and

both Ü and ü are leading to bibtex/latex errors:
Ü should translate to {\"U}
ü should translate to {\"u}

Importing a large bibtex database, editing it in tellico and exporting 
it again could potentially destroy the whole database. Ie, rendering it 
unreadable by other bibtex applications.

@comment-line at the beginning of the generated output file potentially 
also leads to error messages in other bibtex-applications.

Johannes Wiedersich





Information forwarded to debian-bugs-dist@lists.debian.org, Regis Boudin <regis@boudin.name>:
Bug#292165; Package tellico. Full text and rfc822 format available.

Acknowledgement sent to Robby Stephenson <robby@periapsis.org>:
Extra info received and forwarded to list. Copy sent to Regis Boudin <regis@boudin.name>. Full text and rfc822 format available.

Message #10 received at 292165@bugs.debian.org (full text, mbox):

From: Robby Stephenson <robby@periapsis.org>
To: jowi@ph.tum.de, 292165@bugs.debian.org
Subject: Re: Bug#292165: bibtex export from tellico is errenous on special characters (Umlauts)
Date: Tue, 25 Jan 2005 20:15:56 -0800
[Message part 1 (text/plain, inline)]
On Tuesday 25 January 2005 6:20, Johannes Wiedersich wrote:
> I opened tellico, created a new bibliography, entered one entry, type
> book containing the title: "Umlautetest: Äb Öb Üb bä bö bü".

Tellico's Unicode<->TeX character translation is handled by the 
bibtex-translation.xml file, which maps TeX strings to UTF-8 characters. 
One advantage of this is that the user is able to (albeit not conveniently) 
modify Tellico's behaviour.

> Exporting this bibliography to bibtex (File --> Export --> Export to
> bibtex) and saved it as test.bib.
>
> $test.bib===========================================================
> @comment{Generated by Tellico 0.13.1}
> @book{test:bib,
>    title = {Umlautetest: {\"A}b Öb \"{U}b B{\"a} B{\"o} B\"{u}},
>    author = {Wieders{\"o}ch, J.}
> }
> ====================================================================
>
> Here Ä, ä and ö are handled correctly to {\"A} etc.,
>
> Ö (capitals) is NOT changed to  Bibtex/Latex conventions and

I fully admit that the character map is not complete. I haven't come across 
a good list of unicode characters with equivalent TeX strings yet. I added 
those I found to be most common, mostly taken from the BibDesk application, 
with permission from the author. I'll add the Ö character now. I'd welcome 
any other additions. The XML format in bibtex-translation.xml should be 
self-explanatory.

> both Ü and ü are leading to bibtex/latex errors:
> Ü should translate to {\"U}
> ü should translate to {\"u}

That was a bug in the mapping. Since I've found many cases of bibtex files 
with the incorrect escaping, I wanted a one-to-many mapping. Unfortunately, 
there was bug which reversed the string list. Attached is a patch which 
fixes that error. It will be in the next release of Tellico.

> Importing a large bibtex database, editing it in tellico and exporting
> it again could potentially destroy the whole database. Ie, rendering it
> unreadable by other bibtex applications.

Yes and no. Yes, with the above bug with the incorrect mapping, With this 
patch, we'll be ok. No, concerning the Ö character, since that's not a 
valid bibtex character in the first place, and Tellico only replaces the 
strings it recognizes.

> @comment-line at the beginning of the generated output file potentially
> also leads to error messages in other bibtex-applications.

No, the comment line is fully bibtex-compliant. All valid parsers should 
have no problem.

Thanks for the bug report. The bibtex capabilities of Tellico don't get much 
exercise.

Robby
[bibtexhandler.patch (text/x-diff, attachment)]

Tags added: confirmed, fixed-upstream Request was from Regis Boudin <regis@boudin.name> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to "Regis Boudin" <regis@boudin.name>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to jowi@ph.tum.de:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 292165-done@bugs.debian.org (full text, mbox):

From: "Regis Boudin" <regis@boudin.name>
To: 310893-done@bugs.debian.org, 326850-done@bugs.debian.org, 328009-done@bugs.debian.org, 292165-done@bugs.debian.org, 313839-done@bugs.debian.org, 321830-done@bugs.debian.org
Subject: Bugs closed with the latest upload.
Date: Sun, 18 Sep 2005 12:46:21 +0100 (BST)
This bug has been fixed with the upload of tellico 1.0 this morning, but a
typo error did not close the bug automatically.

The full changelog is available on the PTS :
http://packages.qa.debian.org/t/tellico.html

Thanks
Regis
-- 
"While a monkey can be a manager, it takes a human to be an engineer" Erik
Zapletal




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 13:01:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:44:38 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.